%global momorel 1
%global __libtoolize :

Summary: Open Source Desktop Publishing
Name: scribus
Version: 1.3.3.2
Release: %{momorel}m
License: GPL
Group: Applications/Publishing
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 fa5d0dbb675b41f3d56823943b06c84c
URL: http://www.scribus.net/
BuildRequires: qt-devel, lcms-devel, libxml2-devel, python-devel
BuildRequires: freetype2-devel >= 2.1.9, fontconfig-devel
BuildRequires: libtiff-devel >= 3.6.0, libjpeg-devel
BuildRequires: libxml2-devel, ghostscript-devel, cups-devel
BuildRequires: perl
Requires: qt, lcms, python, freetype2, ghostscript
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Scribus is an open-source program that brings award-winning professional page layout to Linux/Unix, MacOS X and Windows desktops with a combination of "press-ready" output and new approaches to page layout.

Underneath the modern and user friendly interface, Scribus supports professional publishing features, such as CMYK color, separations, ICC color management and versatile PDF creation.

%package devel
Summary: Header files for scribus
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files for scribus

%prep
rm -rf %{buildroot}

%setup -q

%build
#./configure --prefix=%{_prefix} --libdir=%{_libdir} --datadir=%{_datadir} --mandir=%{_mandir} --enable-shared
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

# desktopfile
mkdir -p %{buildroot}/%{_datadir}/applications
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Application \
   --add-category Qt \
    ./%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README INSTALL TODO ChangeLogCVS BUILDING
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.qm
%{_libdir}/%{name}/import.prolog
%{_libdir}/%{name}/dicts
%{_libdir}/%{name}/keysets
%{_libdir}/%{name}/plugins/lib*.so.*.*
%dir %{_libdir}/%{name}/plugins/gettext
%{_libdir}/%{name}/plugins/gettext/lib*.so.*.*
%{_libdir}/%{name}/profiles
%{_libdir}/%{name}/swatches
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_mandir}/pl/man1/*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}/plugins/lib*.so.?
%{_libdir}/%{name}/plugins/lib*.so
%{_libdir}/%{name}/plugins/lib*a
%{_libdir}/%{name}/plugins/gettext/lib*.so.?
%{_libdir}/%{name}/plugins/gettext/lib*.so
%{_libdir}/%{name}/plugins/gettext/lib*a


%changelog
* Tue May 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.2-1m)
- update to bug fix release 1.3.3.2

* Sun May 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.1-1m)
- import to Momonga (at last!)

* Wed Apr 12 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.3.1-0.0.1m)
- update to 1.3.3.1

* Tue Apr 04 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.3-0.0.1m)
- update to 1.3.3
- japanese messages seems to be merged in upstream

* Wed Feb 01 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.2-0.0.1m)
- update to 1.3.2
- add japanese message files at http://blog.good-day.net/~kurose/

* Tue Jul 26 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.0-0.0.1m)
- version 1.3.0
- scribus-1.3.0-no_remake_docitemattrprefs_cpp.patch since uic causes segmentation fault during remake docitemattrprefs.cpp

* Thu May 19 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.2.1-0.0.1m)
- version 1.2.1

* Sun Nov 07 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.2-0.0.1m)
- version 1.2

* Mon Jun 07 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.7-0.0.1m)
- version 1.1.7

* Tue Apr 27 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.6-0.0.1m)
- version 1.1.6

* Wed Feb 18 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.5-0.0.1m)
- version 1.1.5

* Sat Jan 10 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.4-0.0.1m)
- version 1.1.4

* Sun Nov  2 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.2-0.0.1m)
- version 1.1.2

* Sun Oct  5 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.1-0.0.1m)
- version 1.1.1

* Mon Aug 11 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.0.1-0.0.1m)
- version 1.0.1

* Thu Jul 17 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.0-0.0.1m)
- version 1.0

* Sun Jun 15 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.10-0.0.1m)
- version 0.9.10

* Sat Mar 8 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.7-0.0.1m)
- version 0.9.7

* Sun Dec 22 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.4-0.0.1m)
- version 0.9.4

* Sun Nov 24 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.2-0.0.1m)
- version up

* Mon Nov 4 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.8-0.2m)
- add Patch for the Measurements Palette (patch1)
- add Patch for the Fontmenu on newer Systems (patch2)

* Sat Oct 12 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.8-0.1m)
- version 0.8

* Fri Sep 20 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.7.8-0.1m)
- build for Momonga
